package com.tomas.ht_ydt.ListData;

public class Schedule_Item {
    String id, ref_id, order_no, order_dt, supplier, part_no, part_name, qty, act_qty, dest_location_id, supplier_name, status, control_unit,
            src_dept_id,dest_dept_id, product_no, action_det, fifo_lot_no, fifo_location, crusher_ratio, virgin_qty, crusher_qty,
            unit_qty, ref_parts_no, display_sch;

    public Schedule_Item(String id, String ref_id, String order_no, String order_dt, String supplier, String supplier_name,
                         String part_no, String part_name, String qty, String act_qty, String dest_location_id, String status,
                         String control_unit, String src_dept_id, String dest_dept_id, String product_no, String action_det,
                         String fifo_lot_no, String fifo_location, String crusher_ratio, String virgin_qty, String crusher_qty,
                         String unit_qty, String ref_parts_no, String display_sch) {
        this.id = id;
        this.ref_id = ref_id;
        this.order_no = order_no;
        this.order_dt = order_dt;
        this.supplier = supplier;
        this.supplier_name = supplier_name;
        this.part_no = part_no;
        this.part_name = part_name;
        this.qty = qty;
        this.act_qty = act_qty;
        this.dest_location_id = dest_location_id;
        this.status = status;
        this.control_unit = control_unit;
        this.src_dept_id = src_dept_id;
        this.dest_dept_id = dest_dept_id;
        this.product_no = product_no;
        this.action_det = action_det;
        this.fifo_lot_no = fifo_lot_no;
        this.fifo_location = fifo_location;
        this.crusher_ratio = crusher_ratio;
        this.virgin_qty = virgin_qty;
        this.crusher_qty = crusher_qty;
        this.unit_qty = unit_qty;
        this.ref_parts_no = ref_parts_no;
        this.display_sch = display_sch;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getRef_id() {
        return ref_id;
    }

    public void setRef_id(String ref_id) {
        this.ref_id = ref_id;
    }

    public String getOrder_no() {
        return order_no;
    }

    public void setOrder_no(String order_no) {
        this.order_no = order_no;
    }

    public String getOrder_dt() {
        return order_dt;
    }

    public void setOrder_dt(String order_dt) {
        this.order_dt = order_dt;
    }

    public String getSupplier() {
        return supplier;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    public String getSupplier_name() {
        return supplier_name;
    }

    public void setSupplier_name(String supplier_name) {
        this.supplier_name = supplier_name;
    }

    public String getPart_no() {
        return part_no;
    }

    public void setPart_no(String part_no) {
        this.part_no = part_no;
    }

    public String getPart_name() {
        return part_name;
    }

    public void setPart_name(String part_name) {
        this.part_name = part_name;
    }

    public String getQty() {
        return qty;
    }

    public void setQty(String qty) {
        this.qty = qty;
    }

    public String getAct_qty() {
        return act_qty;
    }

    public void setAct_qty(String act_qty) {
        this.act_qty = act_qty;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getControl_unit() {
        return control_unit;
    }

    public void setControl_unit(String control_unit) {
        this.control_unit = control_unit;
    }

    public String getDest_location_id() {
        return dest_location_id;
    }

    public void setDest_location_id(String dest_location_id) {
        this.dest_location_id = dest_location_id;
    }

    public String getSrc_dept_id() {
        return src_dept_id;
    }

    public void setSrc_dept_id(String src_dept_id) {
        this.src_dept_id = src_dept_id;
    }

    public String getDest_dept_id() {
        return dest_dept_id;
    }

    public void setDest_dept_id(String dest_dept_id) {
        this.dest_dept_id = dest_dept_id;
    }

    public String getProduct_no() {
        return product_no;
    }

    public void setProduct_no(String product_no) {
        this.product_no = product_no;
    }

    public String getAction_det() {
        return action_det;
    }

    public void setAction_det(String action_det) {
        this.action_det = action_det;
    }

    public String getFifo_lot_no() {
        return fifo_lot_no;
    }

    public void setFifo_lot_no(String fifo_lot_no) {
        this.fifo_lot_no = fifo_lot_no;
    }

    public String getFifo_location() {
        return fifo_location;
    }

    public void setFifo_location(String fifo_location) {
        this.fifo_location = fifo_location;
    }

    public String getCrusher_ratio() {
        return crusher_ratio;
    }

    public void setCrusher_ratio(String crusher_ratio) {
        this.crusher_ratio = crusher_ratio;
    }

    public String getVirgin_qty() {
        return virgin_qty;
    }

    public void setVirgin_qty(String virgin_qty) {
        this.virgin_qty = virgin_qty;
    }

    public String getCrusher_qty() {
        return crusher_qty;
    }

    public void setCrusher_qty(String crusher_qty) {
        this.crusher_qty = crusher_qty;
    }

    public String getUnit_qty() {
        return unit_qty;
    }

    public void setUnit_qty(String unit_qty) {
        this.unit_qty = unit_qty;
    }

    public String getRef_parts_no() {
        return ref_parts_no;
    }

    public void setRef_parts_no(String ref_parts_no) {
        this.ref_parts_no = ref_parts_no;
    }

    public String getDisplay_sch() {
        return display_sch;
    }

    public void setDisplay_sch(String display_sch) {
        this.display_sch = display_sch;
    }
}
